Bug 52028 - display -geometry WWWxHHH+x+y'>' doesn't work
display -geometry WWWxHHH+x+y'>' doesn't work
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2001-08-19 05:26 EDT by Stig Hackvan
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-20 11:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2001-08-19 05:26:03 EDT
Description of Problem:

it is not possible to tell display(1) to shrink an image to fit within a
maximum size AND to specify the location of the window.  adding '>' to the
geom string defeats +x+y positioning.

Version-Release number of selected component (if applicable):

Name        : ImageMagick                  Relocations: /usr/X11R6 
Version     : 5.2.7                             Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Mon 08 Jan 2001

How Reproducible:

display -geometry 400x200+0+0'>' some-image-bigger-than-400x200.jpg

Actual Results:

Expected Results:

man page sez
       -geometry <width>x<height>{+-}<x offset>{+-}<y off-
              Use > to change the dimensions of the image only if
              its size exceeds the geometry specification.  <
              resizes the image only if its dimensions is less
              than the geometry specification.  For example, if
              you specify 640x480> and the image size is 512x512,
              the image size does not change.  However, if the
              image is 1024x1024, it is resized to 640x480.

              When displaying an image on an X server, <x offset>
              and <y offset> is relative to the root window.

Additional Information:

xv may have been shareware or "non-free" but it did a better job than any
of the currently-shipping image viewers (of which i'm aware) at displaying
a raw, unadorned image and fitting it to the screen.
Comment 1 Bernhard Rosenkraenzer 2001-08-20 11:41:15 EDT
Works for me in 5.3.8-2, assuming it was fixed by the 5.3.7->5.3.8 update.

Note You need to log in before you can comment on or make changes to this bug.